> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get recipientssettings



## OpenAPI

````yaml /api-reference/oda-recipient-service-1.0.0.yml get /recipients/settings
openapi: 3.0.1
info:
  title: oda-recipient-service
  version: 1.0.0
servers: []
security: []
paths:
  /recipients/settings:
    get:
      operationId: getSettings
      responses:
        '200':
          description: Recipient Settings with Features
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SettingsController.SettingsDto'
components:
  schemas:
    SettingsController.SettingsDto:
      required:
        - features
        - id
        - logLevels
        - recipientId
      type: object
      properties:
        id:
          type: string
        recipientId:
          type: string
        features:
          type: array
          items:
            $ref: '#/components/schemas/SettingsController.Feature'
        logLevels:
          type: array
          items:
            $ref: '#/components/schemas/SettingsController.LogLevels'
    SettingsController.Feature:
      required:
        - name
        - status
      type: object
      properties:
        name:
          type: string
        status:
          $ref: '#/components/schemas/SettingsController.FeatureStatus'
    SettingsController.LogLevels:
      required:
        - level
        - name
      type: object
      properties:
        name:
          type: string
        level:
          $ref: '#/components/schemas/SettingsController.LogLevel'
    SettingsController.FeatureStatus:
      type: string
      enum:
        - ENABLED
        - DISABLED
    SettingsController.LogLevel:
      type: string
      enum:
        - TRACE
        - DEBUG
        - INFO
        - WARN
        - ERROR
        - DISABLED

````